Bug 1268992 - [RDO-Manager][Liberty] : openstack baremetal introspection bulk start causes "Internal server error" ( introspection fails) .
Summary: [RDO-Manager][Liberty] : openstack baremetal introspection bulk start causes...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: rdo-manager
Version: trunk
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: Liberty
Assignee: John Trowbridge
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-05 20:46 UTC by Omri Hochman
Modified: 2016-04-18 06:47 UTC (History)
5 users (show)

Fixed In Version: instack-undercloud-2.1.3-dev224
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 230399 0 None None None Never
OpenStack gerrit 231656 0 None None None Never

Description Omri Hochman 2015-10-05 20:46:51 UTC
[RDO-Manager][Liberty] :  openstack baremetal introspection bulk start causes "Internal server error"  ( introspection fails) .

Environment:
-------------
instack-0.0.8-dev4.el7.centos.noarch
instack-undercloud-2.1.3-dev219.el7.centos.noarch
openstack-tripleo-puppet-elements-0.0.2-dev13.el7.centos.noarch
openstack-tripleo-0.0.1-dev1769.el7.centos.noarch
openstack-tripleo-heat-templates-0.8.7-dev249.el7.centos.noarch
openstack-tripleo-image-elements-0.9.7-dev30.el7.centos.noarch


Steps: 
------
(1) Follow the guide to install liberty rdo-manager http://docs.openstack.org/developer/tripleo-docs/environments/virtual.html 

(2) Attempt openstack baremetal introspection bulk start 

Results: 
---------
openstack baremetal introspection bulk start
Setting available nodes to manageable...
Starting introspection of node: 52552cc6-4adb-4e57-a52d-469f0ac23cae
Internal server error


Workaround: 
------------
Execute this command for each node ( in "ironic node-list") :  
ironic node-set-provision-state fc3c15be-0744-4b52-aad8-d4cc717b23cd provide
ironic node-set-provision-state e8d20300-4257-4e45-9163-43679b264ac6 provide
ironic node-set-provision-state 4e61ec9a-f5dd-4b45-a043-99dafaf3cf8d provide

Comment 1 Alexander Chuzhoy 2015-10-05 21:41:51 UTC
The workaround in comment #0 allows the overcloud deployment to use the nodes without introspection.

The allow introspection:
1. edit the /etc/ironic-inspector/inspector.conf file
and make sure to add another '/' character after sqlite under [database], like below:
[database]
connection = sqlite:////var/lib/ironic-inspector/inspector.sqlite

2. sudo systemctl restart openstack-ironic-inspector.service

3. sudo ironic-inspector-dbsync --config-file /etc/ironic-inspector/inspector.conf upgrade

Comment 2 John Trowbridge 2015-10-06 10:56:29 UTC
Fixed in latest liberty repo:

http://trunk.rdoproject.org/liberty/centos7/current/

Comment 3 John Trowbridge 2015-10-07 16:11:05 UTC
This was close but not quite right. Since we switched to using a service user and rootwrap for ironic-inspector, we need to create the database as that user.

https://review.openstack.org/#/c/231656/ is the fix

The workaround is to run:

sudo chown ironic-inspector /var/lib/ironic-inspector/inspector.sqlite

Comment 4 Omri Hochman 2015-10-27 14:32:06 UTC
Verified with the RDO GA bits :

sudo yum install -y http://rdoproject.org/repos/openstack-liberty/rdo-release-liberty.rpm


Note You need to log in before you can comment on or make changes to this bug.